Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wass.common
Class URN

    java.lang.Object
      org.deegree.ogcwebservices.wass.common.URN

    public class URN

extends Object

Encapsulates a Uniform Resource Name (URN) which encodes an authentication method according to the GDI NRW access control specification.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Constructor Summary
`URN(String urn)` Creates new one from a String.

Method Summary
`boolean` | `equals(URN other)`
`String` | `getAuthenticationMethod()` Returns the last part of the name, or null, if it is not a wellformed GDI NRW authentication.
`String` | `getLastName()` Returns the last part of the name, or null, if it is not a URN.
`boolean` | `isWellformedGDINRW()` Returns, whether this is a wellformed GDI NRW authentication method URN.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URN

    public URN(String urn)

  Creates new one from a String.

  Parameters:
    `urn` - the string

Method Detail

### getAuthenticationMethod

    public String getAuthenticationMethod()

  Returns the last part of the name, or null, if it is not a wellformed GDI NRW authentication. method URN.

  Returns:
    the name, or null

### getLastName

    public String getLastName()

  Returns the last part of the name, or null, if it is not a URN.

  Returns:
    the last part of this URN

### isWellformedGDINRW

    public boolean isWellformedGDINRW()

  Returns, whether this is a wellformed GDI NRW authentication method URN.

  Returns:
    true, if it is

### equals

    public boolean equals(URN other)

  Parameters:
    `other` -
  Returns:
    true if other equals this URN

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org